#ifndef PBUTTON_H
#define PBUTTON_H

class PButton;

#include <tqbutton.h>
#include "pmessage.h"
#include "pwidget.h"
#include "pobject.h"
#include "controller.h"


class PButton : public PWidget
{
  TQ_OBJECT
  
public:
  static PObject *createWidget(CreateArgs &ca);

  PButton ( PObject * parent );
  virtual ~PButton ();
  
  virtual void messageHandler(int fd, PukeMessage *pm);
  
  virtual void setWidget(TQObject *_qb = 0x0);
  virtual TQButton *widget();

public slots:
  void buttonPressed();
  void buttonReleased();
  void buttonClicked();
  void buttonToggled(bool);
  
private:
  TQButton *button;

  void buttonMessage(int iCommand);
  bool checkWidget();
};

#endif
